package org.dromara.ygpassport.service;

import com.github.yulichang.base.MPJBaseService;
import org.dromara.ygpassport.domain.StudentLeaderExperience;
import org.dromara.ygpassport.domain.bo.StudentLeaderExperienceBo;
import org.dromara.ygpassport.domain.vo.StudentLeaderExperienceVo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 学生干部经历Service接口
 *
 * @author Lion Li
 * @date 2024-01-11
 */
public interface IStudentLeaderExperienceService extends MPJBaseService<StudentLeaderExperience> {

    /**
     * 查询学生干部经历
     */
    StudentLeaderExperienceVo queryById(Long id);

    /**
     * 查询学生干部经历列表
     */
    TableDataInfo<StudentLeaderExperienceVo> queryPageList(StudentLeaderExperienceBo bo, PageQuery pageQuery);

    /**
     * 查询学生干部经历列表
     */
    List<StudentLeaderExperienceVo> queryList(StudentLeaderExperienceBo bo);

    /**
     * 新增学生干部经历
     */
    Boolean insertByBo(StudentLeaderExperienceBo bo);

    /**
     * 修改学生干部经历
     */
    Boolean updateByBo(StudentLeaderExperienceBo bo);

    /**
     * 校验并批量删除学生干部经历信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<StudentLeaderExperienceVo> queryListByStuNo(String stuNo);
}
